org.apache.struts2.osgi

## Class BundleClassLoaderInterface

- java.lang.Object
- - org.apache.struts2.osgi.BundleClassLoaderInterface

- All Implemented Interfaces:
    ClassLoaderInterface

      public class BundleClassLoaderInterface
      extends Object
      implements ClassLoaderInterface

  ClassLoaderInterface instance that delegates to the singleton of DefaultBundleAccessor

- - ### Field Summary

    - ### Fields inherited from interface com.opensymphony.xwork2.util.finder.ClassLoaderInterface

      `CLASS_LOADER_INTERFACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BundleClassLoaderInterface()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassLoaderInterface` | `getParent()`
    `URL` | `getResource(String name)`
    `InputStream` | `getResourceAsStream(String name)`
    `Enumeration<URL>` | `getResources(String name)`
    `Class<?>` | `loadClass(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BundleClassLoaderInterface

          public BundleClassLoaderInterface()

  - ### Method Detail

    - #### loadClass

          public Class<?> loadClass(String name)
                             throws ClassNotFoundException

      Specified by:
        `loadClass` in interface `ClassLoaderInterface`
      Throws:
        `ClassNotFoundException`

    - #### getResource

          public URL getResource(String name)

      Specified by:
        `getResource` in interface `ClassLoaderInterface`

    - #### getResources

          public Enumeration<URL> getResources(String name)
                                        throws IOException

      Specified by:
        `getResources` in interface `ClassLoaderInterface`
      Throws:
        `IOException`

    - #### getResourceAsStream

          public InputStream getResourceAsStream(String name)
                                          throws IOException

      Specified by:
        `getResourceAsStream` in interface `ClassLoaderInterface`
      Throws:
        `IOException`

    - #### getParent

          public ClassLoaderInterface getParent()

      Specified by:
        `getParent` in interface `ClassLoaderInterface`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.